uk.gov.hmrc.mongo

# cache

#### package cache

Visibility

1. Public
2. All

### Type Members

1. #### trait CacheIdType[CacheId] extends AnyRef

2. #### final case class DataKey[A](unwrap: String) extends AnyVal with Product with Serializable

3. #### trait EntityCache[CacheId, A] extends AnyRef

   A single entity is stored in the cache.

   A single entity is stored in the cache. Akin to previous ShortLivedCache/Save4Later.

4. #### class MongoCacheRepository[CacheId] extends PlayMongoCollection[CacheItem]

5. #### class SessionCacheRepository extends MongoDatabaseCollection

   CacheId is stored in session with sessionIdKey

### Value Members

1. #### object CacheIdType

2. #### object MongoCacheRepository

### Ungrouped